Tool: get_cluster
Get a Dataproc cluster in a Google Cloud project
The following sample demonstrate how to use curl to invoke the get_cluster MCP tool.
| Curl Request |
|---|
curl --location 'https://dataproc.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_cluster", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request to get the resource representation for a cluster in a project.
GetClusterRequest
| JSON representation |
|---|
{ "projectId": string, "region": string, "clusterName": string } |
| Fields | |
|---|---|
projectId |
Required. The ID of the Google Cloud Platform project that the cluster belongs to. |
region |
Required. The Dataproc region in which to handle the request. |
clusterName |
Required. The cluster name. |
Output Schema
A Dataproc cluster.
Cluster
| JSON representation |
|---|
{
"projectId": string,
"clusterName": string,
"clusterUuid": string,
"status": {
object ( |
| Fields | |
|---|---|
projectId |
The Google Cloud Platform project ID that the cluster belongs to. |
clusterName |
The cluster name. |
clusterUuid |
A cluster UUID (Unique Universal Identifier). Dataproc generates this value when it creates the cluster. |
status |
Cluster status. |
ClusterStatus
| JSON representation |
|---|
{ "state": enum ( |
| Fields | |
|---|---|
state |
Output only. The cluster's state. |
detail |
Optional. Output only. Details of cluster's state. |
stateStartTime |
Output only. Time when this state was entered (see JSON representation of Timestamp). Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
substate |
Output only. Additional state information that includes status reported by the agent. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌